//---------------------------------------------------------------------------

#ifndef serialH
#define serialH

#include "defs.h"



void serial_enumports(void);
void serial_flush(void);

bool serial_open(const char* portname, const char* cfgstr);
int  serial_puts(const char* buf, int len=0);
int  serial_putc(char c);
int  serial_gets(char* buf, int len, int timeout);
bool serial_close(void);

#if (defined _WIN32)
	#define COM_DEFAULT		"COM28"
#elif (defined LINUX)
	#define COM_DEFAULT		"/dev/ttyUSB0"
#endif

#define CFG_DEFAULT		"baud=115200 parity=N data=8 stop=1 dtr=off rts=off"

int serial_readline(char* buf, int len, int timeout, char endl);

//---------------------------------------------------------------------------
#endif
